Subject: Re: git log omits deleting merges

From: Ephrim Khong <[email-masked]>
Date: Mon, 24 Mar 2014 11:25:32 +0100

Am 20.03.14 20:54, schrieb Jeff King:
> On Thu, Feb 20, 2014 at 08:35:33AM +0100, Ephrim Khong wrote:
>
>> Hi, git log seems to omit merge commits that delete a file if --follow or
>> --diff-filter=D is given. Below is a testcase. I'm not sure if it is desired
>> behaviour for --diff-filter=D, but it's probably not correct that --follow
>> _removes_ the merge commit from the log output.
>
> This is by design. Git-log does not calculate or show merge diffs unless
> "-c" or "--cc" is specified, and thus no diff-filter can match.

Thank you for the explanation, I now understand why this is happening 
from a technical point of view. From a usability perspective, it is a 
bit confusing that a flag that should intuitively increase the number of 
shown commits (--follow) removes a commit from the output. Though this 
is just a minor annoyance, so no strong opinion here.

- Eph